# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Meta-Builder
Version:	0.004
Release:	14.%{__distinit}%{__distvers}
Summary:	Tools for creating Meta objects to track custom metrics
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Meta-Builder
Source0:	http://cpan.metacpan.org/authors/id/E/EX/EXODIST/Meta-Builder-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(Module::Build)
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Fennec::Lite)
BuildRequires:	perl(Test::Exception)
BuildRequires:	perl(Test::More)
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

%description
Meta programming is becoming more and more popular. The popularity of Meta
programming comes from the fact that many problems are made significantly
easier. There are a few specialized Meta tools out there, for instance
Class:MOP, which is used by Moose to track class metadata.

%prep
%setup -q -n Meta-Builder-%{version}

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} -c %{buildroot}

%check
./Build test

%files
%doc README
%{perl_vendorlib}/Meta/
%{_mandir}/man3/Meta::Builder.3*
%{_mandir}/man3/Meta::Builder::Base.3*
%{_mandir}/man3/Meta::Builder::Util.3*

%changelog
* Tue Jul 18 2023 Paul Howarth <paul@city-fan.org> - 0.004-14
- Use SPDX-format license tag

* Thu Jun  6 2019 Paul Howarth <paul@city-fan.org> - 0.004-3
- Perl 5.30 rebuild

* Tue Nov  6 2018 Paul Howarth <paul@city-fan.org> - 0.004-1
- Update to 0.004
  - Package standard updates
  - Spelling and documentation fixes

* Fri Apr 27 2018 Paul Howarth <paul@city-fan.org> - 0.003-13
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Sat Sep  3 2016 Paul Howarth <paul@city-fan.org> - 0.003-9
- Classify buildreqs by usage

* Wed Sep 10 2014 Paul Howarth <paul@city-fan.org> - 0.003-5
- Perl 5.20 rebuild

* Wed Aug 14 2013 Paul Howarth <paul@city-fan.org> - 0.003-4
- Import from Fedora

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.003-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 22 2013 Petr Pisar <ppisar@redhat.com> - 0.003-2
- Perl 5.18 rebuild

* Fri Jan 18 2013 Jitka Plesnikova <jplesnik@redhat.com> - 0.003-1
- Specfile autogenerated by cpanspec 1.78
